inftrees.h File Reference

Go to the source code of this file.

## Classes

struct | code

## Macros

#define | ENOUGH_LENS 852
#define | ENOUGH_DISTS 592
#define | ENOUGH (ENOUGH_LENS+ENOUGH_DISTS)

## Enumerations

enum | codetype { CODES , LENS , DISTS }

## Functions

int ZLIB_INTERNAL inflate_table | OF ((codetype type, unsigned short FAR *lens, unsigned codes, code FAR *FAR *table, unsigned FAR *bits, unsigned short FAR *work))

## Macro Definition Documentation

## ENOUGH

#define ENOUGH (ENOUGH_LENS+ENOUGH_DISTS)

Definition at line 51 of file inftrees.h.

## ENOUGH_DISTS

#define ENOUGH_DISTS 592

Definition at line 50 of file inftrees.h.

## ENOUGH_LENS

#define ENOUGH_LENS 852

Definition at line 49 of file inftrees.h.

## Enumeration Type Documentation

## codetype

enum codetype

Enumerator
CODES |
LENS |
DISTS |

Definition at line 54 of file inftrees.h.

## Function Documentation

## OF()

int ZLIB_INTERNAL inflate_table OF | ( | (codetype type, unsigned short FAR *lens, unsigned codes, code FAR *FAR *table, unsigned FAR *bits, unsigned short FAR *work) |  | ) |